history_s Struct Reference

History (paths) information at any point in allphone Viterbi search. More...

`#include <allphone_search.h>`

## Data Fields

phmm_t * | phmm
| PHMM ending this path.
int32 | score
| Path score for this path.
int32 | tscore
| Transition score for this path.
frame_idx_t | ef
| End frame.
int32 | hist
| Previous history entry.

## Detailed Description

History (paths) information at any point in allphone Viterbi search.

Definition at line 81 of file allphone_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/allphone_search.h